Subject: [netatalk-admins] Can papd create other printer types?

From: Peter Gutowski <[email-masked]>
Date: 22 Feb 99 16:22:01 -0500

I was wondering, but didn't see anything in the man page about this: can a papd device appear on the network as something other than a "Laserwriter"? As far as I can tell "Laserwriter" seems to be hard-coded in etc/papd/main.c

For instance, I've got a HP 870 inkjet printer attached to my Linux box. Normally I print to it as a PostScript printer using GhostScript to rip the file. But I've also added the printer as a "raw" lp device so that programs (like WordPerfect) which generate all the printer specific codes can use the device directly.

It would be nice as an additional option to be able to use the existing Mac-based QuickDraw printer driver for the DeskJet but use papd to spool the job and pass it onto a raw (unfiltered) lp queue. 

Peter Gutowski

Power-Vue Graphics
[email-masked]
http://www.powervue.com/~peterg  << NEWLY UPDATED Jan 6, 1999 !!